Gentoo Archives: gentoo-commits

From: "Michal Gorny (mgorny)" <mgorny@g.o>
To: gentoo-commits@l.g.o
Subject: [gentoo-commits] gentoo-x86 commit in eclass: ChangeLog python-utils-r1.eclass
Date: Fri, 31 May 2013 17:40:41
Message-Id: 20130531174035.A52CD2171D@flycatcher.gentoo.org
mgorny      13/05/31 17:40:35

  Modified:             ChangeLog python-utils-r1.eclass
  Log:
  Use cat rather than echo for heredoc output :).

Revision  Changes    Path
1.843                eclass/ChangeLog

file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/ChangeLog?rev=1.843&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/ChangeLog?rev=1.843&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/ChangeLog?r1=1.842&r2=1.843

Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/eclass/ChangeLog,v
retrieving revision 1.842
retrieving revision 1.843
diff -u -r1.842 -r1.843
--- ChangeLog	30 May 2013 07:15:55 -0000	1.842
+++ ChangeLog	31 May 2013 17:40:35 -0000	1.843
@@ -1,6 +1,9 @@
 # ChangeLog for eclass directory
 # Copyright 1999-2013 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/ChangeLog,v 1.842 2013/05/30 07:15:55 radhermit Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/ChangeLog,v 1.843 2013/05/31 17:40:35 mgorny Exp $
+
+  31 May 2013; Michał Górny <mgorny@g.o> python-utils-r1.eclass:
+  Use cat rather than echo for heredoc output :).
 
   30 May 2013; Tim Harder <radhermit@g.o> vim.eclass:
   Add PYTHON_REQUIRED_USE for python-single-r1.



1.25                 eclass/python-utils-r1.eclass

file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/python-utils-r1.eclass?rev=1.25&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/python-utils-r1.eclass?rev=1.25&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/python-utils-r1.eclass?r1=1.24&r2=1.25

Index: python-utils-r1.eclass
===================================================================
RCS file: /var/cvsroot/gentoo-x86/eclass/python-utils-r1.eclass,v
retrieving revision 1.24
retrieving revision 1.25
diff -u -r1.24 -r1.25
--- python-utils-r1.eclass	10 May 2013 22:03:30 -0000	1.24
+++ python-utils-r1.eclass	31 May 2013 17:40:35 -0000	1.25
@@ -1,6 +1,6 @@
 # Copyright 1999-2013 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/python-utils-r1.eclass,v 1.24 2013/05/10 22:03:30 mgorny Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/python-utils-r1.eclass,v 1.25 2013/05/31 17:40:35 mgorny Exp $
 
 # @ECLASS: python-utils-r1
 # @MAINTAINER:
@@ -892,7 +892,7 @@
 
 		local x
 		for x in "${nonsupp[@]}"; do
-			echo >"${workdir}"/bin/${x} <<__EOF__ || die
+			cat >"${workdir}"/bin/${x} <<__EOF__ || die
 #!/bin/sh
 echo "${x} is not supported by ${EPYTHON}" >&2
 exit 1